io.vertx.rxjava3.httpproxy

## Class ProxyContext

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.ProxyContext

-     public class ProxyContext
      extends Object

  A controller for proxy interception.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ProxyContext>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyContext(Object delegate)`
    `ProxyContext(ProxyContext delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `<T> T` | `get(String name, Class<T> type)` Get a payload attached to this context
    `ProxyContext` | `getDelegate()`
    `int` | `hashCode()`
    `static ProxyContext` | `newInstance(ProxyContext arg)`
    `ProxyRequest` | `request()`
    `ProxyResponse` | `response()`
    `Single<ProxyResponse>` | `rxSendRequest()`
    `Completable` | `rxSendResponse()`
    `Single<ProxyResponse>` | `sendRequest()`
    `Completable` | `sendResponse()`
    `void` | `set(String name, Object value)` Attach a payload to the context
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ProxyContext> __TYPE_ARG

  - ### Constructor Detail

    - #### ProxyContext

          public ProxyContext(ProxyContext delegate)

    - #### ProxyContext

          public ProxyContext(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ProxyContext getDelegate()

    - #### request

          public ProxyRequest request()

      Returns:
        the proxy request

    - #### response

          public ProxyResponse response()

      Returns:
        the proxy response, it might be `null` if the response has not been sent

    - #### sendRequest

          public Single<ProxyResponse> sendRequest()

      Returns:

    - #### rxSendRequest

          public Single<ProxyResponse> rxSendRequest()

      Returns:

    - #### sendResponse

          public Completable sendResponse()

      Returns:

    - #### rxSendResponse

          public Completable rxSendResponse()

      Returns:

    - #### set

          public void set(String name,
                          Object value)

      Attach a payload to the context
      Parameters:
        `name` - the payload name
        `value` - any payload value

    - #### get

          public <T> T get(String name,
                           Class<T> type)

      Get a payload attached to this context
      Parameters:
        `name` - the payload name
        `type` - the expected payload type
      Returns:
        the attached payload

    - #### newInstance

          public static ProxyContext newInstance(ProxyContext arg)

Copyright © 2022 Eclipse. All rights reserved.